#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int chrcount(char c, char s[])
{
    int count = 0;
    for(int i = 0 ; i < strlen(s) - 1 ; i++)
        if(s[i] == c)
            count++;

        return count;
}

int min(int arr[], int n)
{
    int min = 0;
    for(int i = 0 ; i < n ; i++)
        if(arr[min] > arr[i])
            min = i;

    return min;
}

int main()
{
    char* t;
    char s[10];
    t = malloc(sizeof(char) * 200000);

    fgets(t, 200000 * sizeof(char), stdin);
    fgets(s, sizeof(s), stdin);

    for(int i = 0 ; i < strlen(s) - 1 ; i++)
        if(strchr(t, s[i]) == NULL)
            return 0;

    int countarr[strlen(s) - 1];
    for(int i = 0 ; i < strlen(s) - 1 ; i++)
        countarr[i] = chrcount(s[i],t);
	
	if(strlen(t) < strlen(s))
		printf("0\n");
	else
   		printf("%d\n",countarr[min(countarr, strlen(s) - 1)]);

    for(int i = 0 ; i < strlen(t) - 1 ; i++)
        if(t[i] != s[min(countarr, strlen(s) - 1)])
            printf("%c",t[i]);
        else if(strlen(t) > strlen(s))
            printf("*");
            else
            printf("%c",t[i]);

    free(t);
    return 0;
}